# Class TreeCellSkin<T>

java.lang.Object
javafx.scene.control.SkinBase<TreeCell<T>>
javafx.scene.control.skin.LabeledSkinBase<TreeCell<T>>
javafx.scene.control.skin.CellSkinBase<TreeCell<T>>
javafx.scene.control.skin.TreeCellSkin<T>

Type Parameters:
  `T` - the type of the value contained within the `TreeItem`

All Implemented Interfaces:
  `Skin<TreeCell<T>>`

public class TreeCellSkin<T> extends CellSkinBase<TreeCell<T>>
Default skin implementation for the `TreeCell` control.

Since:
  9
See Also:
  - `TreeCell`

- ## Property Summary

  Properties
  Type
  Property
  Description
  `final DoubleProperty`
  `indent`
  The amount of space to multiply by the treeItem.level to get the left margin for this tree cell.

  ### Properties declared in class javafx.scene.control.skin.CellSkinBase

  `cellSize`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `TreeCellSkin(TreeCell<T> control)`
  Creates a new TreeCellSkin instance, installing the necessary child nodes into the Control `children` list, as well as the necessary input mappings for handling key, mouse, etc events.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static List<CssMetaData<? extends Styleable, ?>>`
  `getClassCssMetaData()`
  Returns the CssMetaData associated with this class, which may include the CssMetaData of its superclasses.
  `final double`
  `getIndent()`
  Gets the value of the `indent` property.
  `final DoubleProperty`
  `indentProperty()`
  The amount of space to multiply by the treeItem.level to get the left margin for this tree cell.
  `final void`
  `setIndent(double value)`
  Sets the value of the `indent` property.

  ### Methods declared in class javafx.scene.control.skin.CellSkinBase

  `cellSizeProperty, getCellSize`

  ### Methods declared in class javafx.scene.control.skin.LabeledSkinBase

  `computeBaselineOffset, computeMinWidth, layoutChildren, layoutLabelInArea, layoutLabelInArea, updateChildren`

  ### Methods declared in class javafx.scene.control.SkinBase

  `computeMaxHeight, computeMaxWidth, computeMinHeight, computePrefHeight, computePrefWidth, consumeMouseEvents, dispose, executeAccessibleAction, getChildren, getCssMetaData, getNode, getSkinnable, layoutInArea, layoutInArea, layoutInArea, positionInArea, positionInArea, pseudoClassStateChanged, queryAccessibleAttribute, registerChangeListener, registerInvalidationListener, registerListChangeListener, snappedBottomInset, snappedLeftInset, snappedRightInset, snappedTopInset, snapPosition, snapPositionX, snapPositionY, snapSize, snapSizeX, snapSizeY, snapSpace, snapSpaceX, snapSpaceY, unregisterChangeListeners, unregisterInvalidationListeners, unregisterListChangeListeners`

  ### Methods declared in class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods declared in interface javafx.scene.control.Skin

  `install`

- ## Property Details

  - ### indent

    public final DoubleProperty indentProperty
    The amount of space to multiply by the treeItem.level to get the left margin for this tree cell. This is settable from CSS
    See Also:
      - `getIndent()`
      - `setIndent(double)`
      - `indentProperty()`

- ## Constructor Details

  - ### TreeCellSkin

    public TreeCellSkin(TreeCell<T> control)
    Creates a new TreeCellSkin instance, installing the necessary child nodes into the Control `children` list, as well as the necessary input mappings for handling key, mouse, etc events.
    Parameters:
      `control` - The control that this skin should be installed onto.

- ## Method Details

  - ### setIndent

    public final void setIndent(double value)
    Sets the value of the `indent` property.
    Property description:
      The amount of space to multiply by the treeItem.level to get the left margin for this tree cell. This is settable from CSS
    Parameters:
      `value` - the value for the `indent` property
    See Also:
      - `getIndent()`
      - `indentProperty()`

  - ### getIndent

    public final double getIndent()
    Gets the value of the `indent` property.
    Property description:
      The amount of space to multiply by the treeItem.level to get the left margin for this tree cell. This is settable from CSS
    Returns:
      the value of the `indent` property
    See Also:
      - `setIndent(double)`
      - `indentProperty()`

  - ### indentProperty

    public final DoubleProperty indentProperty()
    The amount of space to multiply by the treeItem.level to get the left margin for this tree cell. This is settable from CSS
    Returns:
      the `indent` property
    See Also:
      - `getIndent()`
      - `setIndent(double)`

  - ### getClassCssMetaData

    public static List<CssMetaData<? extends Styleable, ?>> getClassCssMetaData()
    Returns the CssMetaData associated with this class, which may include the CssMetaData of its superclasses.
    Returns:
      the CssMetaData associated with this class, which may include the CssMetaData of its superclasses